/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997-2006 Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Sam Lantinga
    slouken@libsdl.org
*/

#ifndef _SDL_config_wince_h
#define _SDL_config_wince_h

/* This is a set of defines to configure the SDL features */

#ifdef _MSC_VER
typedef __int8			int8_t;
typedef unsigned __int8		uint8_t;
typedef __int16			int16_t;
typedef unsigned __int16	uint16_t;
typedef __int32			int32_t;
typedef unsigned __int32	uint32_t;
typedef __int64			int64_t;
typedef unsigned __int64	uint64_t;
typedef unsigned long uintptr_t;
#endif

#define SDL_HAS_64BIT_TYPE	1

/* Useful headers */
#define HAVE_STDARG_H	1
#define HAVE_STDDEF_H	1
#define HAVE_STDIO_H	1

/* Enable various audio drivers */

#define SDL_AUDIO_DRIVER_WAVEOUT	1

/* Enable various shared object loading systems */
#define SDL_LOADSO_WIN32	1

/* Enable various threading systems */
#define SDL_THREAD_WIN32	1

/* Enable various timer systems */
#define SDL_TIMER_WINCE	1

/* Enable various video drivers */
/* By default GAPI subsystem is used, comment it for using WinDib */

#define SDL_VIDEO_DRIVER_GAPI	1
#define SDL_VIDEO_DRIVER_WINDIB	1

/* Enable assembly routines */
#define SDL_ASSEMBLY_ROUTINES	1

/* disable missed subsystems */

#define SDL_CDROM_DISABLED 1
#define SDL_JOYSTICK_DISABLED 1

/* WinCE does has got highly manually optimized string routines, 
   so lets enable it */

#define HAVE_MALLOC	1
#define HAVE_CALLOC	1
#define HAVE_REALLOC	1
#define HAVE_FREE	1
#define HAVE_ALLOCA	1
#define HAVE_MEMSET	1
#define HAVE_MEMCPY	1
#define HAVE_MEMMOVE	1
#define HAVE_MEMCMP	1
#define HAVE_STRLEN	1


#endif /* _SDL_config_win32_h */
